Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 90820 - Test Case: JAVA PERSISTENCE IN THE JAVA EE 5 PLATFORM
Test Case: JAVA PERSISTENCE IN THE JAVA EE 5 PLATFORM
Status: RESOLVED FIXED
Product: nblocalization
Classification: Unclassified
Component: Code
5.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: _ henriquemeira
issues@nblocalization
b.portuguese
:
: 90985 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 14:10 UTC by _ wsantos
Modified: 2008-02-14 17:49 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ wsantos 2006-12-08 14:10:20 UTC
Não foi gerado nenhum erro no IDE nem no Banco Derby embutido, os testes foram
realizados
no Servidor da Sun com suporte a JAVA EE 5.

Segue os erros encontrados.
------------------------------------------------------------------------------------------

1º

Ao clicar no botão para criar novo arquivo(em projeto existente) na Categoria
Persistência --> Classe de Entidade
a Descrição esta conforme segue:
 Cria uma classe de entidade da Java Persistence API vazio. 
  sugiro mudar para 
 "Cria uma classe de entidade da Java Persistence API vazia."


2º / 3º / 4º

Ao clicar no botão para criar novo arquivo(em projeto existente) na Categoria:
"Persistência" --> "Paginas JSF de Classes de Entidade":
 No wizard da criação da página, no 3º passo foram encontrados os seguintes erros.
 
 2.1: Onde esta:
     "Pasta de Páginas do JSF"
     sugiro mudar para: "Pasta de Páginas JSF"
     
 2.2: Onde esta (Abaixo do campo pacote):     
     Arquivos Criados: <ClassName>Controlador e <ClassName>Conversor para cada
classe de entidade.
     sugiro mudar para: 
     Arquivos Criados: <NomeDaClasse>Controller e <NomeDaClasse>Converter para
cada classe de entidade.

  *** Pois os arquivos que são criados pelo netBeans possuem o final Controller
e Converter, e onde esta
    <ClassName> é referente ao nome da classe.

 2.3: Onde esta (A descrição do 3º passo)
      "Páginas JSF Geradas e Classes"
      sugiro mudar para: "Páginas JSF e Classes Geradas"
      
      
      
 5º
 
  No menu Ferramentas o primeiro sub menu está 
    "Suporte ao Banco de Dados Java DB"
    sugiro mudar para:
    "Banco de Dados Java DB", pois no inglês esta "Java DB Database"
    

 6º
  
   Ao criar as classes de persistência do EJB3(no item "Páginas JSF e Classes
Geradas") pelo wizard
   ao rodar os arquivos .jsp (JSF) default a página é gerada com os literais
"New" e "Listing" para 
   as opções (links) de listar e criar novo,
    Após uma operação de inclusão a mensagem que aparece esta em inglês também
"xxx was successfully created",
    sugiro traduzir para português.
    


Att,

---------------------------------------------------------------------------------------------------------------
Comment 1 Michel Graciano 2006-12-13 22:34:19 UTC
*** Issue 91020 has been marked as a duplicate of this issue. ***
Comment 2 Michel Graciano 2006-12-13 22:35:04 UTC
*** Issue 90985 has been marked as a duplicate of this issue. ***
Comment 3 Jiri Prox 2007-09-17 21:37:57 UTC
Obsolete milestone, please reevaluate
Comment 4 Michel Graciano 2008-02-14 17:49:08 UTC
This should br fixed on 6.0.1 translations. No updates for 5.X will be released.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo